%global sasl    1
%global gnutls  1

Summary:        Powerful library for MIME messages and Internet messaging services
Name:           libvmime
Version:        0.9.2
Release:        0.1.20110626svn%{?dist}
License:        GPLv3+
Group:          System Environment/Libraries
URL:            http://www.vmime.org/
# When using tarball from released upstream version:
# - http://downloads.sourceforge.net/vmime/%{name}-%{version}.tar.bz2
#
# When generating tarball package from upstream SVN:
# - svn export -r 596 https://vmime.svn.sourceforge.net/svnroot/vmime/trunk/vmime libvmime-0.9.2
# - tar cfj libvmime-0.9.2.tar.bz2 libvmime-0.9.2
# - Use the visible date of latest SVN log entry for %{release} in spec file
Source0:        http://downloads.sourceforge.net/vmime/%{name}-%{version}.tar.bz2
BuildRequires:  sendmail, %{?sasl:libgsasl-devel}, %{?gnutls:gnutls-devel}
BuildRequires:  scons, libtool, autoconf, automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
VMime is a powerful C++ class library for working with MIME messages
and Internet messaging services like IMAP, POP or SMTP.

With VMime you can parse, generate and modify messages, and also
connect to store and transport services to receive or send messages
over the Internet. The library offers all the features to build a
complete mail client.

%package devel
Summary:        Development headers for the libvmime library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig, %{?sasl:libgsasl-devel}, %{?gnutls:gnutls-devel}
Obsoletes:      %{name}-static < 0.9.2

%description devel
The libvmime package contains header files and libraries necessary
for developing applications which use the libvmime C++ class library.

%prep
%setup -q
scons autotools

%build
export EXTRA_CFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install

# Docs are available online and are installed in the wrong location
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/vmime/

# Don't install any libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vmime/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/vmime.pc

%changelog
* Sun Jun 26 2011 Robert Scheck <robert@fedoraproject.org> 0.9.2-0.1.20110626svn
- Upgrade to SVN 20110626 (#671585)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 19 2010 Robert Scheck <robert@fedoraproject.org> - 0.9.1-1
- Upgrade to 0.9.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-3
- From feedback in review request (#494073, rsc)

* Tue Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-2
- From feedback in review request (#494073)

* Sat Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.9.0-1
- Initial Package
